Package ru.bitel.bgbilling.kernel.contract.api.server.bean.parameter

# Class ContractParameterGroupAttrDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<ContractParameterGroupAttr>
ru.bitel.bgbilling.kernel.contract.api.server.bean.parameter.ContractParameterGroupAttrDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `Directory<ContractParameterGroupAttr>`

    public class ContractParameterGroupAttrDao
    extends ru.bitel.common.dao.AbstractIdDao<ContractParameterGroupAttr>
    implements Directory<ContractParameterGroupAttr>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractParameterGroupAttrDao​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected int` | `deleteImpl​(int id)` |
  `ContractParameterGroupAttr` | `get​(java.lang.String title)` | Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected ContractParameterGroupAttr` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.util.List<ContractParameterGroupAttr>` | `list()` | Получение всего списка элементов из справочника
  `java.util.List<ContractParameterGroupAttr>` | `list​(int paramGroupId)` | Получение списка параметров для определенной группы.
  `protected void` | `updateImpl​(ContractParameterGroupAttr contractParameterGroupAttr)` |
  `void` | `updateLink​(int contractParameterGroupId, java.util.Set<java.lang.Integer> parameterIds)` | Обновление привязки параметров к группе параметров.
  `void` | `updateOrderPosition​(java.util.List<ContractParameterGroupAttr> list)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, update`

- ## Constructor Details

  - ### ContractParameterGroupAttrDao

    public ContractParameterGroupAttrDao​(java.sql.Connection con)

- ## Method Details

  - ### getFromRS

    protected ContractParameterGroupAttr getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractParameterGroupAttr>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(ContractParameterGroupAttr contractParameterGroupAttr) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractParameterGroupAttr>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### get

    public ContractParameterGroupAttr get​(java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<ContractParameterGroupAttr>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ContractParameterGroupAttr> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<ContractParameterGroupAttr>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ContractParameterGroupAttr> list​(int paramGroupId) throws ru.bitel.bgbilling.common.BGException
    Получение списка параметров для определенной группы.
    Parameters:
      `paramGroupId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteImpl

    protected int deleteImpl​(int id) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Overrides:
      `deleteImpl` in class `ru.bitel.common.dao.AbstractDao<ContractParameterGroupAttr>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### updateLink

    public void updateLink​(int contractParameterGroupId, java.util.Set<java.lang.Integer> parameterIds) throws ru.bitel.bgbilling.common.BGException
    Обновление привязки параметров к группе параметров.
    Parameters:
      `contractParameterGroupId` -
      `parameterIds` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateOrderPosition

    public void updateOrderPosition​(java.util.List<ContractParameterGroupAttr> list) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`